Bug 1421680 - Review Request: puppet-vitrage Root Cause Analysis Service
Summary: Review Request: puppet-vitrage Root Cause Analysis Service
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-02-13 12:34 UTC by Eyal
Modified: 2017-04-20 13:55 UTC (History)
2 users (show)

Fixed In Version: puppet-vitrage-0.0.1-0.20170419022437.2422f26.el7.centos.src.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-20 13:55:29 UTC
amoralej: rdo-review+


Attachments (Terms of Use)

Description Eyal 2017-02-13 12:34:47 UTC
Vitrage provides an RCA Service for organizing, analyzing and expanding OpenStack alarms & events,. Please include this in RDO for installer support.

the project link: http://github.com/openstack/puppet-vitrage

Comment 1 Alan Pevec 2017-02-14 10:31:55 UTC
$ licensecheck puppet-vitrage 
puppet-vitrage/.gitreview: *No copyright* UNKNOWN
puppet-vitrage/Gemfile: *No copyright* UNKNOWN
puppet-vitrage/LICENSE: Apache (v2.0)
puppet-vitrage/README.md: *No copyright* UNKNOWN
puppet-vitrage/Rakefile: *No copyright* UNKNOWN
puppet-vitrage/metadata.json: *No copyright* UNKNOWN
puppet-vitrage/setup.cfg: *No copyright* Apache
puppet-vitrage/setup.py: Apache (v2.0) GENERATED FILE
puppet-vitrage/test-requirements.txt: *No copyright* UNKNOWN
puppet-vitrage/tox.ini: *No copyright* UNKNOWN

License is ASL 2.0, good for the initial specfile review.

Comment 2 Eyal 2017-02-26 06:48:56 UTC
any chance someone will review the puppet-vitrage 
https://review.rdoproject.org/r/#/c/5229/
thanks

Comment 3 Eyal 2017-03-09 13:31:44 UTC
any chance someone can do workflow +1 to this review
https://review.rdoproject.org/r/#/c/5229/
thanks

Comment 5 Alfredo Moralejo 2017-04-18 11:32:39 UTC
fedora-review output:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated". 36 files have unknown license. Detailed output of
     licensecheck in /tmp/puppet-vitrage/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/openstack-puppet/modules,
     /usr/share/openstack-puppet
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/openstack-
     puppet/modules, /usr/share/openstack-puppet
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[-]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version 0.0.1
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: puppet-vitrage-0.0.1-0.20170323114347.49a49a9.el7.centos.noarch.rpm
          puppet-vitrage-0.0.1-0.20170323114347.49a49a9.el7.centos.src.rpm
puppet-vitrage.noarch: E: explicit-lib-dependency puppet-openstacklib
puppet-vitrage.noarch: E: explicit-lib-dependency puppet-stdlib
puppet-vitrage.noarch: E: no-changelogname-tag
puppet-vitrage.noarch: W: no-documentation
puppet-vitrage.noarch: E: wrong-script-interpreter /usr/share/openstack-puppet/modules/vitrage/setup.py /usr/bin/env python
puppet-vitrage.noarch: E: non-executable-script /usr/share/openstack-puppet/modules/vitrage/setup.py 644 /usr/bin/env python
puppet-vitrage.src: E: no-changelogname-tag
puppet-vitrage.src: W: invalid-url Source0: 0.0.1-0.20170323114347.49a49a9.tar.gz
2 packages and 0 specfiles checked; 6 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
puppet-vitrage.noarch: E: explicit-lib-dependency puppet-openstacklib
puppet-vitrage.noarch: E: explicit-lib-dependency puppet-stdlib
puppet-vitrage.noarch: E: no-changelogname-tag
puppet-vitrage.noarch: W: no-documentation
puppet-vitrage.noarch: E: non-executable-script /usr/share/openstack-puppet/modules/vitrage/setup.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 4 errors, 1 warnings.



Requires
--------
puppet-vitrage (rpmlib, GLIBC filtered):
    puppet
    puppet-inifile
    puppet-keystone
    puppet-openstacklib
    puppet-oslo
    puppet-stdlib



Provides
--------
puppet-vitrage:
    puppet-vitrage



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1421680
Buildroot used: dlrn-centos-ocata-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

* The LICENSE file issue is caused by the spec file being automatically generated, it is accepted as is.

* The package does not contain python2-devel or python3-devel as BR (checked), so this can be a fedora-review hiccup.

The package is APPROVED.


Note You need to log in before you can comment on or make changes to this bug.